class Range {
    /** @type {number} */
    from;

    /** @type {number} */
    to;
}

class Filters {
    /** @type { Range } */
    price_range;

    /** @type { Range } */
    area_range;

    /** @type { string[] } */
    lease_period;

    /** @type { string } */
    address;

    /** @type { number } */
    rooms;

    constructor() {
        this.price_range = new Range();
        this.area_range = new Range();
        this.lease_period = [];
        this.address = '';
        this.rooms = 0;
    }
}

export { Filters, Range }